6.0.0-git
2019-06-26

[#13605] Installations instructions for composer
Summary Installations instructions for composer
Queue Horde Base
Queue Version Git master
Type Enhancement
State Accepted
Priority 2. Medium
Owners
Requester sebix+bugs.horde.org (at) sebix (dot) at
Created 2014-09-27 (1733 days ago)
Due
Updated 2016-01-28 (1245 days ago)
Assigned
Resolved
Milestone 6.0.0
Patch No

History
2016-01-28 11:31:10 Jan Schneider Milestone ⇒ 6.0.0
 
2016-01-28 11:30:50 Jan Schneider Version ⇒ Git master
Queue ⇒ Horde Base
State ⇒ Accepted
 
2014-10-06 17:29:30 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
For framework libraries, yes, this is planned for Horde 6.
For application installation, probably not yet, because Composer is 
still far from being on par with PEAR in that domain.
2014-09-27 12:12:15 sebix+bugs (dot) horde (dot) org (at) sebix (dot) at Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ Installations instructions for composer
Queue ⇒ Horde Groupware
Milestone ⇒
Patch ⇒ No
Reply to this comment
As PEAR gets more and more abandonded and deprecated, are there any 
plans to support installtion via the new composer 
(https://packagist.org/) 'dependency manager'?
The Install Instructions 
(http://www.horde.org/apps/horde/docs/INSTALL) list instructions for 
PEAR and from Git. Currently one can add for every package needed a 
link like https://github.com/horde/horde/archive/FRAMEWORK_5_2.zip but 
managing these manually is a nightmare.

Saved Queries